package com.example.demo.model;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

@Data
@Component
public class ElectricityBill {

    @TableId
    private String id;
    private String province;
    private String city;
    private String district;
    private String street;
    private String electricityUserNumber;
    private String electricityAddress;
    private String electricityUserName;
    private String electricityCategory;
    private String electricityPriceType;
    private BigDecimal implementElectricityPrices;
    private String statementDate;
    private String billingCycle;
    private BigDecimal powerConsumption;
    private BigDecimal electricityBill;
    private String paymentStatus;
    private BigDecimal totalElectricityConsumption;
    private BigDecimal totalElectricityCost;
}
